2017 © Pedro Peláez
 

library wordplate

A modern WordPress stack built with Composer

image

wordplate/wordplate

A modern WordPress stack built with Composer

  • Monday, June 4, 2018
  • by vinkla
  • Repository
  • 38 Watchers
  • 828 Stars
  • 3,777 Installations
  • PHP
  • 0 Dependents
  • 0 Suggesters
  • 63 Forks
  • 2 Open issues
  • 61 Versions
  • 12 % Grown

The README.md

WordPlate, (*1)

WordPlate

WordPlate is a boilerplate. It's like building any other WordPress website with themes and plugins. Just with sprinkles on top., (*2)

Build Status Monthly Downloads Latest Version, (*3)

Features

  • WordPress + Composer = ♥️, (*4)

    WordPress is installed using Composer which allows WordPress to be updated by running composer update., (*5)

  • Environment Files, (*6)

    Similar to Laravel, WordPlate puts environment variables within an .env file such as database credentials., (*7)

  • WordPress Packagist, (*8)

    With WordPress Packagist you may manage your WordPress plugins and themes with Composer., (*9)

  • Must-use plugins, (*10)

    Don't worry about client deactivating plugins, must-use plugins is enabled by default., (*11)

  • Vite.js, (*12)

    With Vite you can quickly get up and running to build and minify your CSS and JavaScript., (*13)

  • Debugging, (*14)

    Familiar debugging helper functions are integrated such as dump() and dd()., (*15)

  • Clean UI, (*16)

    WordPlate takes control over the WordPress dashboard and provides a better UX for your clients., (*17)

  • Security, (*18)

    With the roots/wp-password-bcrypt package we've replaced WordPress outdated and insecure MD5-based password hashing with the modern and secure bcrypt., (*19)

Installation

To use WordPlate, you need to have PHP 8.0+ and MySQL 5.7+ installed on your machine., (*20)

WordPlate utilizes Composer to manage its dependencies. So, before using WordPlate, make sure you have Composer installed on your machine., (*21)

Install WordPlate by issuing the Composer create-project command in your terminal:, (*22)

composer create-project --prefer-dist vinkla/wordplate blog

Update the database credentials in the .env file:, (*23)

DB_NAME=database
DB_USER=username
DB_PASSWORD=password

Serve your application using the built-in web server in PHP (or your server of choice) from the public directory:, (*24)

php -S localhost:8000 -t public/

Visit your application in the browser:, (*25)

Configuration

Public Directory

After installing WordPlate, you should configure your web server's document / web root to be the public directory. The index.php in this directory serves as the front controller for all HTTP requests entering your application., (*26)

Salt Keys

The next thing you should do after installing WordPlate is adding salt keys to your environment file., (*27)

Typically, these strings should be 64 characters long. The keys can be set in the .env environment file. If you have not copied the .env.example file to a new file named .env, you should do that now. If the salt keys isn't set, your user sessions and other encrypted data will not be secure., (*28)

If you're lazy like us, visit our salt key generator and copy the randomly generated keys to your .env file., (*29)

Environment Configuration

It is often helpful to have different configuration values based on the environment where the application is running. For example, you may wish to use a different database locally than you do on your production server., (*30)

To make this a cinch, WordPlate utilizes the Dotenv PHP package. In a fresh WordPlate installation, the root directory of your application will contain a .env.example file. If you install WordPlate via Composer, this file will automatically be renamed to .env. Otherwise, you should rename the file manually., (*31)

Your .env file should not be committed to your application's source control, since each developer / server using your application could require a different environment configuration. Furthermore, this would be a security risk in the event an intruder gains access to your source control repository, since any sensitive credentials would get exposed., (*32)

Read more about environment variables in Laravel's documentation:, (*33)

Plugins

WordPress Packagist

We've integrated WordPress Packagist which makes it possible to install plugins with Composer. WordPress Packagist mirrors the WordPress plugin and theme directories as a Composer repository., (*34)

Install the desired plugins using wpackagist-plugin as the vendor name. Packages are installed in the public/plugins directory., (*35)

composer require wpackagist-plugin/clean-image-filenames

This is an example of how your composer.json file might look like:, (*36)

"require": {
    "wpackagist-plugin/clean-image-filenames": "^1.3"
}

Please visit WordPress Packagist for more information and examples., (*37)

Must Use Plugins

Must-use plugins (a.k.a. mu-plugins) are plugins installed in a special directory inside the content folder and which are automatically enabled on all sites in the installation., (*38)

To install plugins into into the mu-plugins directory, add the plugin name to the installer-paths in your composer.json file:, (*39)

"installer-paths": {
    "public/mu-plugins/{$name}": [
        "type:wordpress-muplugin",
        "wpackagist-plugin/clean-image-filenames",
    ]
}

Install the plugin using wpackagist-plugin as the vendor name., (*40)

composer require wpackagist-plugin/clean-image-filenames

The plugin should now be installed in the public/mu-plugins directory., (*41)

Read more about the must-use plugin autoloader in the documentation., (*42)

Vite.js

Vite is a build tool that aims to provide a faster and leaner development experience for modern web projects. Vite is opinionated and comes with sensible defaults out of the box, but is also highly extensible via its Plugin API and JavaScript API with full typing support., (*43)

To get started with Vite, please visit the documentation., (*44)

# Start the dev server...
npm run dev

# Build for production...
npm run build

Mail

If you want to add custom SMTP credentials, you may add the following to your functions.php file:, (*45)

// Register SMTP email with HTML support.
add_action('phpmailer_init', function (PHPMailer $mail) {
    $mail->isSMTP();
    $mail->SMTPAutoTLS = false;
    $mail->SMTPAuth = env('MAIL_USERNAME') && env('MAIL_PASSWORD');
    $mail->SMTPSecure = env('MAIL_ENCRYPTION', 'tls');
    $mail->Host = env('MAIL_HOST');
    $mail->Port = env('MAIL_PORT', 587);
    $mail->Username = env('MAIL_USERNAME');
    $mail->Password = env('MAIL_PASSWORD');
    return $mail;
});

add_filter('wp_mail_content_type', fn () => 'text/html');
add_filter('wp_mail_from_name', fn () => env('MAIL_FROM_NAME', 'Example'));
add_filter('wp_mail_from', fn () => env('MAIL_FROM_ADDRESS', 'hello@example.com'));

Then add the environment variables to your .env file:, (*46)

MAIL_FROM_ADDRESS=
MAIL_FROM_NAME=
MAIL_HOST=
MAIL_PASSWORD=
MAIL_PORT=
MAIL_USERNAME=

If you're using a service such as MailHog locally, you'll need to turn of encryption:, (*47)

MAIL_ENCRYPTION=null

Upgrade Guide

WordPlate has archived the wordplate/framework package and moved everything into this repository instead. We keep this list for any old application out there which needs to be upgraded., (*48)

Upgrading from 11 to 12
, (*49)

  1. Update the composer.json file:, (*50)

    "require": {
    -   "wordplate/framework": "^11.1",
    +   "composer/installers": "^2.1",
    +   "johnpbloch/wordpress-core-installer": "^2.0",
    +   "johnpbloch/wordpress-core": "^6.0",
    +   "roots/bedrock-autoloader": "^1.0",
    +   "roots/wp-password-bcrypt": "^1.1",
    +   "symfony/http-foundation": "^6.0",
    +   "symfony/var-dumper": "^6.0",
    +   "vlucas/phpdotenv": "^5.4"
    }
    
  2. Replace your public/wp-config.php file with the one in this repository. Remember to save any custom constants defined in your wp-config.php file., (*51)

  3. Add the src/helpers.php file from this repository and autoload it in the composer.json file:, (*52)

    +"autoload": {
    +    "files": [
    +        "src/helpers.php"
    +    ]
    +}
    
  4. Run composer update in the root of your project., (*53)

Upgrading from 10 to 11
, (*54)

  1. WordPlate now requires PHP 8.0 or later., (*55)

  2. Bump the version number in the composer.json file to ^11.0., (*56)

  3. Run composer update in the root of your project.

    Upgrading from 9 to 10
    , (*57)

  4. WordPlate now requires PHP 7.4 or later., (*58)

  5. Bump the version number in the composer.json file to ^10.0., (*59)

  6. Rename WP_ENV to WP_ENVIRONMENT_TYPE in the environment file., (*60)

  7. Rename WP_THEME to WP_DEFAULT_THEME in the environment file., (*61)

  8. Rename WP_URL to WP_HOME in the environment file (if it exists)., (*62)

  9. If you're using the WP_CACHE environment variable you'll need to define it in the public/wp-config.php file:, (*63)

    ```diff $application->run();, (*64)

    +define('WP_CACHE', env('WP_CACHE', false));, (*65)

    $table_prefix = env('DB_TABLE_PREFIX', 'wp_'); ````, (*66)

  10. Optional: Rename WP_PREFIX to DB_TABLE_PREFIX in the following files:, (*67)

    • .env
    • .env.example
    • public/wp-config.php
  11. Run composer update in the root of your project.

    Upgrading from 8 to 9
    , (*68)

  12. Bump the version number in the composer.json file to ^9.0., (*69)

  13. Copy the public/mu-plugins/mu-plugins.php file into your project., (*70)

  14. Update the public/.gitignore file to allow the new mu-plugins.php file:, (*71)

    ```diff -mu-plugins/ +mu-plugins/* +!mu-plugins/mu-plugins.php ````, (*72)

  15. Run composer update in the root of your project.

    Upgrading from 7 to 8
    , (*73)

  16. WordPlate now requires PHP 7.2 or later., (*74)

  17. Bump the version number in the composer.json file to ^8.0., (*75)

    Note: WordPlate 8.0 requires WordPress 5.3 or later., (*76)

  18. Laravel's helper functions is now optional in WordPlate. If you want to use the functions, install the laravel/helpers package, with Composer, in the root of your project:, (*77)

    composer require laravel/helpers
    
  19. Laravel's collections are now optional in WordPlate. If you want to use collections, install the tightenco/collect package, with Composer, in the root of your project:, (*78)

    composer require tightenco/collect
    
  20. The mix helper function is now optional in WordPlate. If you want to use the function, install the ibox/mix-function package, with Composer, in the root of your project:, (*79)

    composer require ibox/mix-function
    
  21. Replace any usage of asset, stylesheet_url and template_url functions with WordPress's get_theme_file_uri function., (*80)

  22. Replace any usage of stylesheet_path and template_path functions with WordPress's get_theme_file_path function ., (*81)

  23. The base_path and template_slug functions have been removed., (*82)

  24. Run composer update in the root of your project.

    Upgrading from 6 to 7
    , (*83)

  25. Bump the version number in the composer.json file to ^7.0., (*84)

    Note: WordPlate 7.0 requires WordPress 5.0 or later., (*85)

  26. Update the realpath(__DIR__) to realpath(__DIR__.'/../') in the wp-config.php file., (*86)

  27. If your public directory isn't named public, add the following line to the wp-config.php file:, (*87)

    $application->setPublicPath(realpath(__DIR__));
    
  28. Run composer update in the root of your project.

    Upgrading from 5 to 6
    , (*88)

  29. Bump the version number in the composer.json file to ^6.0., (*89)

  30. Update the realpath(__DIR__.'/../') to realpath(__DIR__) in the wp-config.php file., (*90)

  31. Run composer update in the root of your project.

    Upgrading from 4 to 5
    , (*91)

  32. Bump the version number in the composer.json file to ^5.0., (*92)

  33. Copy and paste the contents of the wp-config.php file into your application., (*93)

    Note: Make sure you don't overwrite any of your custom constants., (*94)

  34. Run composer update in the root of your project. , (*95)

FAQ

Can I add WordPress constants to the environment file?
, (*96)

This is possible by updating the public/wp-config.php file after the WordPlate application have been created., (*97)

define('WP_DISABLE_FATAL_ERROR_HANDLER', env('WP_DISABLE_FATAL_ERROR_HANDLER', false));

+define('WP_ALLOW_MULTISITE', env('WP_ALLOW_MULTISITE', true));
````

Then you may add the constant to the `.env` file.

```diff
WP_DEFAULT_THEME=wordplate
+WP_ALLOW_MULTISITE=true
````

</details>
<details>
<summary><strong>Can I rename the public directory?</strong></summary>

If you want to rename the `public` directory you'll need to update the `wp-config.php` file in two places:

```php
-realpath(__DIR__ . '/../public');
+realpath(__DIR__ . '/../public_html');

Please note that you also have to update your composer.json file with your new public directory path before you can run composer update again.

Can I rename the WordPress directory?
, (*98)

By default WordPlate will put the WordPress in public/wordpress. If you want to change this there are a couple of steps you need to go through. Let's say you want to change the default WordPress location to public/wp:, (*99)

  1. Update the wordpress-install-dir path in your composer.json file., (*100)

  2. Update wordpress to wp in wordplate/public/.gitignore., (*101)

  3. Update the last line in the public/index.php file to:, (*102)

    require __DIR__.'/wp/wp-blog-header.php';
    
  4. Update the WP_DIR environment variable in the .env file to wp., (*103)

  5. If you're using WP-CLI, update the path in the wp-cli.yml file to public/wp., (*104)

  6. Remove the public/wordpress directory if it exist and then run composer update.

    Can I rename the theme directory?
    , (*105)

For most applications you may leave the theme directory as it is. If you want to rename the wordplate theme to something else you'll also need to update the WP_DEFAULT_THEME environment variable in the .env file.

Can I use WordPlate with Laravel Valet?
, (*106)

If you're using Laravel Valet together with WordPlate, you may use our local valet driver. Create a file named LocalValetDriver.php in the root of your project and copy and paste the class below:, (*107)

<?php

declare(strict_types=1);

final class LocalValetDriver extends BasicValetDriver
{
    public function serves(string $sitePath, string $siteName, string $uri): bool
    {
        return is_dir($sitePath.'/public/wordpress');
    }

    /** @return false|string */
    public function isStaticFile(string $sitePath, string $siteName, string $uri): 
    {
        $staticFilePath = $sitePath . '/public' . $uri;

        if ($this->isActualFile($staticFilePath)) {
            return $staticFilePath;
        }

        return false;
    }

    public function frontControllerPath(string $sitePath, string $siteName, string $uri): string
    {
        $_SERVER['PHP_SELF'] = $uri;
        $_SERVER['SERVER_NAME'] = $_SERVER['HTTP_HOST'];

        if (strpos($uri, '/wordpress/') === 0) {
            if (is_dir($sitePath . '/public' . $uri)) {
                $uri = $this->forceTrailingSlash($uri);

                return $sitePath . '/public' . $uri . '/index.php';
            }

            return $sitePath . '/public' . $uri;
        }

        return $sitePath . '/public/index.php';
    }

    private function forceTrailingSlash(string $uri): string
    {
        if (substr($uri, -1 * strlen('/wordpress/wp-admin')) == '/wordpress/wp-admin') {
            header('Location: ' . $uri . '/');
            die;
        }

        return $uri;
    }
}

, (*108)

Acknowledgements

WordPlate wouldn't be possible without these amazing open-source projects., (*109)

License

The WordPlate package is open-sourced software licensed under the MIT license., (*110)

The Versions

04/06 2018

dev-master

9999999-dev

A modern WordPress stack built with Composer

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

04/06 2018

6.3.0

6.3.0.0

A modern WordPress stack built with Composer

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

04/04 2018

6.2.2

6.2.2.0

A modern WordPress stack built with Composer

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

05/03 2018

6.2.1

6.2.1.0

A modern WordPress stack built with Composer

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

25/01 2018

6.2.0

6.2.0.0

A modern WordPress stack built with Composer

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

10/11 2017

6.1.0

6.1.0.0

A modern WordPress stack built with Composer

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

05/10 2017

6.0.0

6.0.0.0

A modern WordPress stack built with Composer

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

30/07 2017

dev-develop

dev-develop

A modern WordPress stack built with Composer

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

21/06 2017

5.3.1

5.3.1.0

A modern WordPress stack with zero fuzz

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

20/06 2017

5.3.0

5.3.0.0

A modern WordPress stack with zero fuzz

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

21/05 2017

5.2.2

5.2.2.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

10/05 2017

5.2.1

5.2.1.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

06/05 2017

5.2.0

5.2.0.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

27/04 2017

5.1.0

5.1.0.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

20/04 2017

5.0.4

5.0.4.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

18/04 2017

5.0.3

5.0.3.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

31/03 2017

5.0.2

5.0.2.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

28/03 2017

5.0.1

5.0.1.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

27/03 2017

5.0.0

5.0.0.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

29/01 2017

4.3.0

4.3.0.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

18/09 2016

4.2.1

4.2.1.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

11/07 2016

4.2.0

4.2.0.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

05/05 2016

4.1.3

4.1.3.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

02/05 2016

4.1.2

4.1.2.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

29/04 2016

4.1.1

4.1.1.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

28/04 2016

4.1.0

4.1.0.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

04/04 2016

4.0.7

4.0.7.0

Wordplate is a modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

03/04 2016

4.0.6

4.0.6.0

Wordplate is a modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

20/03 2016

4.0.5

4.0.5.0

Wordplate is a modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

05/03 2016

4.0.4

4.0.4.0

Wordplate is a modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

04/03 2016

4.0.3

4.0.3.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

02/03 2016

4.0.2

4.0.2.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

01/03 2016

4.0.1

4.0.1.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

28/02 2016

4.0.0

4.0.0.0

A modern WordPress stack. Don't repeat yourself.

  Sources   Download

MIT

The Requires

 

wordpress boilerplate plate wordplate

20/01 2016

3.1.1

3.1.1.0

A WordPress framework built with Laravel and Symfony components

  Sources   Download

MIT

The Requires

 

wordpress laravel boilerplate symfony wordplate

11/01 2016

3.1.0

3.1.0.0

A WordPress boilerplate

  Sources   Download

MIT

The Requires

 

wordpress boilerplate wordplate

25/09 2015

3.0.2

3.0.2.0

A WordPress boilerplate

  Sources   Download

MIT

The Requires

 

wordpress boilerplate wordplate

22/09 2015

3.0.1

3.0.1.0

A WordPress boilerplate

  Sources   Download

MIT

The Requires

 

wordpress boilerplate wordplate

08/09 2015

3.0.0

3.0.0.0

A WordPress boilerplate

  Sources   Download

MIT

The Requires

 

wordpress boilerplate wordplate

20/08 2015

2.7.0

2.7.0.0

The WordPlate Boilerplate

  Sources   Download

MIT

The Requires

  • wordplate/framework 2.7.*
  • wpackagist-plugin/advanced-custom-fields ~4.0
  • wpackagist-plugin/tiny-compress-images ~1.0
  • wpackagist-plugin/wordpress-importer ~0.6
  • wpackagist-plugin/wp-sweep ~1.0

 

wordpress boilerplate wordplate

18/08 2015

2.6.0

2.6.0.0

The WordPlate Boilerplate

  Sources   Download

MIT

The Requires

  • wordplate/framework 2.6.*
  • wpackagist-plugin/advanced-custom-fields ~4.0
  • wpackagist-plugin/tiny-compress-images ~1.0
  • wpackagist-plugin/wordpress-importer ~0.6
  • wpackagist-plugin/wp-sweep ~1.0

 

wordpress boilerplate wordplate

01/07 2015

2.5.4

2.5.4.0

The WordPlate Boilerplate

  Sources   Download

MIT

The Requires

  • wordplate/framework 2.5.*
  • wpackagist-plugin/advanced-custom-fields ~4.0
  • wpackagist-plugin/tiny-compress-images ~1.0
  • wpackagist-plugin/wordpress-importer ~0.6
  • wpackagist-plugin/wp-sweep ~1.0

 

wordpress boilerplate wordplate

02/06 2015

2.5.3

2.5.3.0

The WordPlate Boilerplate

  Sources   Download

MIT

The Requires

  • wordplate/framework 2.5.*
  • wpackagist-plugin/advanced-custom-fields ~4.0
  • wpackagist-plugin/tiny-compress-images ~1.0
  • wpackagist-plugin/wordpress-importer ~0.6
  • wpackagist-plugin/wp-sweep ~1.0

 

wordpress boilerplate wordplate

28/05 2015

2.5.2

2.5.2.0

The WordPlate Boilerplate

  Sources   Download

MIT

The Requires

  • wordplate/framework 2.5.*
  • wpackagist-plugin/advanced-custom-fields ~4.0
  • wpackagist-plugin/tiny-compress-images ~1.0
  • wpackagist-plugin/wordpress-importer ~0.6
  • wpackagist-plugin/wp-sweep ~1.0

 

wordpress boilerplate wordplate

21/05 2015

2.5.1

2.5.1.0

The WordPlate Boilerplate

  Sources   Download

MIT

The Requires

  • wordplate/framework 2.5.*
  • wpackagist-plugin/advanced-custom-fields ~4.0
  • wpackagist-plugin/tiny-compress-images ~1.0
  • wpackagist-plugin/wordpress-importer ~0.6
  • wpackagist-plugin/wp-sweep ~1.0

 

wordpress boilerplate wordplate

21/05 2015

2.5.0

2.5.0.0

The WordPlate Boilerplate

  Sources   Download

MIT

The Requires

  • wordplate/framework 2.5.*
  • wpackagist-plugin/advanced-custom-fields ~4.0
  • wpackagist-plugin/tiny-compress-images ~1.0
  • wpackagist-plugin/wordpress-importer ~0.6
  • wpackagist-plugin/wp-sweep ~1.0

 

wordpress boilerplate wordplate

10/05 2015

2.4.0

2.4.0.0

The WordPlate Boilerplate

  Sources   Download

MIT

The Requires

  • wordplate/framework 2.4.*
  • wpackagist-plugin/advanced-custom-fields ~4.0
  • wpackagist-plugin/tiny-compress-images ~1.0
  • wpackagist-plugin/wordpress-importer ~0.6
  • wpackagist-plugin/wp-sweep ~1.0

 

wordpress boilerplate wordplate

03/05 2015

2.3.0

2.3.0.0

The WordPlate Boilerplate.

  Sources   Download

MIT

The Requires

  • wordplate/framework 2.3.*
  • wpackagist-plugin/advanced-custom-fields ~4.0
  • wpackagist-plugin/tiny-compress-images ~1.0
  • wpackagist-plugin/wordpress-importer ~0.6
  • wpackagist-plugin/wp-sweep ~1.0

 

wordpress boilerplate wordplate

26/04 2015

2.2.0

2.2.0.0

The WordPlate Boilerplate.

  Sources   Download

MIT

The Requires

  • wordplate/framework 2.2.*
  • wpackagist-plugin/advanced-custom-fields ~4.0
  • wpackagist-plugin/tiny-compress-images ~1.0
  • wpackagist-plugin/wordpress-importer ~0.6
  • wpackagist-plugin/wp-sweep ~1.0

 

wordpress boilerplate wordplate

21/04 2015

2.1.3

2.1.3.0

The WordPlate Boilerplate.

  Sources   Download

MIT

The Requires

  • wordplate/framework 2.1.*
  • wpackagist-plugin/advanced-custom-fields ~4.0
  • wpackagist-plugin/tiny-compress-images ~1.0
  • wpackagist-plugin/wordpress-importer ~0.6
  • wpackagist-plugin/wp-sweep ~1.0

 

wordpress boilerplate wordplate

21/04 2015

2.1.2

2.1.2.0

The WordPlate Boilerplate.

  Sources   Download

MIT

The Requires

  • wordplate/framework 2.1.*
  • wpackagist-plugin/advanced-custom-fields ~4.0
  • wpackagist-plugin/tiny-compress-images ~1.0
  • wpackagist-plugin/wordpress-importer ~0.6
  • wpackagist-plugin/wp-sweep ~1.0

 

wordpress boilerplate wordplate

21/04 2015

2.1.1

2.1.1.0

The WordPlate Boilerplate.

  Sources   Download

MIT

The Requires

  • wordplate/framework 2.1.*
  • wpackagist-plugin/advanced-custom-fields ~4.0
  • wpackagist-plugin/tiny-compress-images ~1.0
  • wpackagist-plugin/wordpress-importer ~0.6
  • wpackagist-plugin/wp-sweep ~1.0

 

wordpress boilerplate wordplate

20/04 2015

2.1.0

2.1.0.0

The WordPlate Boilerplate.

  Sources   Download

MIT

The Requires

  • wpackagist-plugin/advanced-custom-fields ~4.0
  • wpackagist-plugin/tiny-compress-images ~1.0
  • wpackagist-plugin/wordpress-importer ~0.6
  • wpackagist-plugin/wp-sweep ~1.0
  • wordplate/framework 2.1.*

 

wordpress boilerplate wordplate

16/04 2015

2.0.0

2.0.0.0

The WordPlate Boilerplate.

  Sources   Download

MIT

The Requires

  • wordplate/framework 2.0.*
  • wpackagist-plugin/advanced-custom-fields ~4.0
  • wpackagist-plugin/tiny-compress-images ~1.0
  • wpackagist-plugin/wordpress-importer ~0.6
  • wpackagist-plugin/wp-sweep ~1.0

 

wordpress boilerplate wordplate

10/04 2015

1.3.0

1.3.0.0 https://github.com/vinkla/wordpress

Boilerplate that scaffolds a basic WordPress project using composer.

  Sources   Download

MIT

The Requires

 

The Development Requires

wordpress composer boilerplate generator scaffold

10/04 2015

1.2.2

1.2.2.0 https://github.com/vinkla/wordpress

Boilerplate that scaffolds a basic WordPress project using composer.

  Sources   Download

MIT

The Requires

 

The Development Requires

wordpress composer boilerplate generator scaffold

10/04 2015

1.2.1

1.2.1.0 https://github.com/vinkla/wordpress

Boilerplate that scaffolds a basic WordPress project using composer.

  Sources   Download

MIT

The Requires

 

wordpress composer boilerplate generator scaffold

30/03 2015

1.2.0

1.2.0.0 https://github.com/vinkla/wordpress

Boilerplate that scaffolds a basic WordPress project using composer.

  Sources   Download

MIT

The Requires

 

wordpress composer boilerplate generator scaffold

26/03 2015

1.1.1

1.1.1.0 https://github.com/vinkla/wordpress

Boilerplate that scaffolds a basic WordPress project using composer.

  Sources   Download

MIT

The Requires

 

wordpress composer boilerplate generator scaffold

18/03 2015

1.1.0

1.1.0.0 https://github.com/vinkla/wordpress

Boilerplate that scaffolds a basic WordPress project using composer.

  Sources   Download

MIT

The Requires

 

wordpress composer boilerplate generator scaffold

18/03 2015

1.0.0

1.0.0.0 https://github.com/vinkla/wordpress

Boilerplate that scaffolds a basic WordPress project using Composer.

  Sources   Download

MIT

The Requires

 

wordpress composer boilerplate generator scaffold